/* Add to Cart Quantity counter  */
.quantity.buttons-added {
    display: flex;
    flex-flow: row;
    align-items: center;
    gap:10px;
}
.woocommerce .quantity input.qty {
    width: 70px;
    height: 30px;
    background: transparent;
    border: 1px solid #000;
    color: #000;
}
.woocommerce .quantity .minus, .woocommerce-page .quantity .minus,
.woocommerce .quantity .plus, .woocommerce-page .quantity .plus{
    background: #000 !important;
    color: #fff !important;
    border: 1px solid #000 !important;
    width: 30px !important;
    height: 30px !important;
    cursor: pointer !important;
}
.qty-btn:hover {
    background: #333;
}

.custom-products .li.product{
    width:unset !important;
    margin-right:20px !important;
}

.custom-products .slick-slide {
     padding: 0 40px 20px 0px !important;
}

.custom-products .et_shop_image .size-woocommerce_thumbnail {
    width: 100%;
    height: auto;
    object-fit: contain;
    object-position: center;
    margin-bottom: 10px;
}
span.price{
    color: #666;
}
.related-category-products-section ul.products.columns-3 {
    display: flex !important;
    flex-flow: row wrap !important;
}
section.related-category-products-section {
    margin-top: 80px !important;
}
.slick-dots li button:before{
    font-size:10px !important;
}
section.up-sells.upsells.products {
    display: none !important;
}




/* Custom Product Page CSS (from ChatGPT) */
.add-to-quote-button-avrbl {
    width: 100%;
    background-color: #000;
    color: #fff;
    font-size: 18px;
    text-transform: uppercase;
    padding: 4px;
    font-weight: 600;
    transition: all 0.3s ease-in-out;
    cursor: pointer;
}
.add-to-quote-button-avrbl:hover {
    color: #00c59e !important;
}
input#gform_submit_button_3 {
    width: 100% !important;
    background-color: #000 !important;
    color: #fff !important;
    font-size: 18px !important;
    text-transform: uppercase;
    padding: 4px !important;
    font-weight: 600 !important;
    transition: all 0.3s ease-in-out;
    cursor: pointer;
}
.variations_form table th{
    text-align : left !important;
    padding: 0px 0px 10px  !important;
}
.variations_form .single_variation_wrap .single_variation {
    display: none !important;
}
.cart_total {
    display: none;
}
article#post-251456 {
    padding: 50px !important;
}
.single_add_to_cart_button {
    width: 100%;
    background-color: #000 !important;
    color: #fff !important;
    font-size: 18px !important;
    text-transform: uppercase;
    padding: 4px !important;
    font-weight: 600;
    transition: all 0.3s ease-in-out;
    cursor: pointer !important;
}
.single_add_to_cart_button{
    width: 100%;
    background-color: #000 !important;
    color: #fff !important;
    font-size: 18px !important;
    text-transform: uppercase;
    padding: 4px !important;
    font-weight: 600;
    transition: all 0.3s ease-in-out;
    cursor: pointer !important;
    margin-top: 20px !important;
}
.cart-collaterals {
    display: none;
}
.woocommerce-cart-form .actions {
  display: none !important;
}

.submit-quote .wp-block-button.has-custom-width {
    width: fit-content !important;
}

/* Custom Product slider CSS*/
.slick-prev, .slick-next{
    width: 25px !important;
}
.slick-prev:before, .slick-next:before {
    content: '' !important;
}
.slick-prev {
    left: -50px !important;
}
.slick-next {
    right: -10px !important;
}




#custom-variation-price span.woocommerce-Price-amount.amount {
    font-size: 18px !important;
}
p.price {
    margin-bottom: 20px !important;
}

.custom-product-top {
    display: flex;
    flex-direction: column;
    padding-top: 20px !important;
}
.custom-product-gallery{
    display: flex;
    gap: 30px;
}
.custom-product-top .clearfix{
    width: 70%;
}
.woocommerce div.product div.images.woocommerce-product-gallery{
    width: 100%;
}
.custom-product-top .custom-product-summary{
    width: 30%;
}
.woocommerce div.product form.cart .variations select {
    min-width: 50% !important;
}
.variations_form.cart{
    margin: 0 !important;
}
p.price {
    margin: 30px 0 10px 0 !important;
}
.custom-product-summary span.woocommerce-Price-amount.amount {
    font-size: 22px;
    color: #000;
    font-weight: 700;
}
.woocommerce-product-details__short-description{
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 4;
    overflow: hidden;
}
.variations tr{
    display: flex;
    flex-direction: column;
    padding: 0px !important;
}
.woocommerce div.product form.cart .variations td {
    padding: 0 0 10px 0 !important;
}
.add-to-quote-button {
    width: 100%;
    background-color: #000;
    color: #fff;
    font-size: 18px;
    text-transform: uppercase;
    padding: 4px;
    font-weight: 600;
    transition: all 0.3s ease-in-out;
    cursor: pointer;
}
.add-to-quote-button:hover{
    color: #00c59e !important;
}
.woocommerce div.product div.images .flex-control-thumbs li img {
    width: 100px !important;

}
.woocommerce div.product .woocommerce-product-gallery--columns-4 .flex-control-thumbs li{
    clear: none !important;
    margin: 0 !important;
}
.custom-product-gallery .flex-viewport, .woocommerce-product-gallery__image, .woocommerce div.product div.images .woocommerce-product-gallery__image a, .woocommerce div.product div.images img{
    max-height: 500px;
    /*height: 100% !important;*/
    object-fit: contain;
}
.flex-control-nav.flex-control-thumbs{
    margin-top: 30px !important;
    padding: 0 !important;
}
body.woocommerce .woocommerce-tabs {
    border: 1px solid #d9d9d9;
    margin: 50px 0px !important;
}
/*.custom-product-tabs {*/
/*    margin-top: 40px;*/
/*}*/
.tabs-nav {
    display: flex;
    list-style: none;
    margin-bottom: 20px;
    gap: 20px;
}
.tabs-nav li {
    cursor: pointer;
    padding: 10px 20px;
    background: #f5f5f5;
}
.tabs-nav li.current {
    background: #e0e0e0;
}
body.woocommerce div.product .woocommerce-tabs ul.tabs li, body.woocommerce #content-area div.product .woocommerce-tabs ul.tabs li{
    background-color: #000;
}
body.woocommerce div.product .woocommerce-tabs ul.tabs li a, body.woocommerce #content-area div.product .woocommerce-tabs ul.tabs li a{
    color: #00c59e !important;
    width: 100%;
}
body.woocommerce #content-area div.product .woocommerce-tabs ul.tabs li.active{
    background: #00c59e !important;
}
body.woocommerce div.product .woocommerce-tabs .panel, body.woocommerce #content-area div.product .woocommerce-tabs .panel {
    background-color: #f4f4f4;
}
.tab-content {
    display: none;
}
.tab-content.current {
    display: block;
}
.related-products-grid {
    display: flex;
    gap: 20px;
    margin-top: 30px;
}
.related-product-item {
    width: 24%;
    border: 1px solid #eee;
    padding: 10px;
    text-align: center;
}
.short-desc {
    margin-top: 10px;
}
.product .related h2.woocommerce-loop-product__title,
h2.woocommerce-loop-product__title{
    font-size: 20px !important;
    padding: 0px !important;
}
.tabs.wc-tabs{
    display: flex;
    gap: 1px;
    justify-content: space-between;
}
body.woocommerce div.product .woocommerce-tabs ul.tabs li, body.woocommerce #content-area div.product .woocommerce-tabs ul.tabs li{
    flex: 1 1 0;
    text-align: center;
    border: none !important;
}
body.woocommerce div.product .woocommerce-tabs ul.tabs li, body.woocommerce #content-area div.product .woocommerce-tabs ul.tabs li.active{
    margin: 0 !important;
}
.tabs.wc-tabs::before, .tabs.wc-tabs::after{
    content: none !important;
}
.woocommerce .woocommerce-breadcrumb {
    margin: 4em 0 1em !important;
    padding: 0;
}
@media (max-width: 769px){
    .woocommerce div.product div.images .flex-control-thumbs li img {
    width: 50px !important;
    }
}
@media (max-width: 575px){
.custom-product-gallery {
    flex-direction: column;
}
.add-to-quote-button {
    font-size: 16px;
}
.custom-product-top .clearfix, .custom-product-top .custom-product-summary {
    width: 100%;
}

body.woocommerce div.product .woocommerce-tabs ul.tabs li a, body.woocommerce #content-area div.product .woocommerce-tabs ul.tabs li a {
    padding: 4px !important;
    font-size: 12px;
    text-align: center;
}
body.woocommerce div.product .woocommerce-tabs .panel, body.woocommerce #content-area div.product .woocommerce-tabs .panel {
    padding: 20px;
}
}
@media (max-width:425px){
    .custom-products .slick-slide{
        padding:0px !important;
    }
    .slick-prev, .slick-next {
        width: 20px !important;
    }
    .slick-next {
        right: -30px !important;
    }
    .slick-prev {
        left: -30px !important;
    }
}

/* BBM: Visually Hide Headings for SEO compatibility with image-based headings */
/* !important is used here because in this case it should override all other global styles */
._visually-hidden {
  position: absolute !important;
  width: 1px !important;
  height: 1px !important;
  padding: 0 !important;
  margin: -1px !important;
  overflow: hidden !important;
  clip: rect(0, 0, 0, 0) !important;
  white-space: nowrap !important;
  border: 0 !important;
}

/* BBM: Pre-heading styling */
.bbm-pre-heading {
    font-weight: 400 !important;
    color: #00c79f !important;
    font-size: 16px !important;
    line-height: 1em !important;
    padding-bottom: 10px !important;
}

/* Remove default up/down arrows from number input fields */
input[type=number]::-webkit-inner-spin-button,
input[type=number]::-webkit-outer-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

input[type=number] {
  -moz-appearance: textfield; /* For Firefox */
}

/* Mobile nav: prevent expanded menu from overflowing viewport with no scrollbar */
@media (max-width: 980px) {
    .et_mobile_menu {
        max-height: calc(100svh - 80px);
        overflow-y: auto;
        -webkit-overflow-scrolling: touch;
    }
}

/* Mobile nav: add .hide-submenu-mobile to a menu item to hide its sub-menu on mobile */
.et_mobile_menu {
    & .hide-submenu-mobile > ul.sub-menu {
        display: none !important;
    }
}

/**
 * GF Handrolled Honeypot Field Verification field styling
 * The HTML shows a normal "Comments" field that bots will want to fill
 * CSS overlays a warning on top that humans will see but bots won't
 */
.field-comments-extra label {
  position: relative !important;
}

.field-comments-extra label::after {
  content: "DO NOT FILL THIS FIELD (SPAM TRAP)" !important;
  position: absolute !important;
  left: 0 !important;
  top: 0 !important;
  background: #fff !important;
  /*color: #d63638 !important;*/
  font-size: 1em !important;
  font-weight: bold !important;
  padding-right: 10px !important;
  z-index: 10 !important;
  width: 300px
}
